
Redmine - Patch #1202

Feature to view whole the file from /repositories/revision page

2008-05-07 13:29 - Go MAEDA

Status: Closed Start date: 2008-05-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Description

Here is a patch to add feature to view the whole file of the revision from Redmines /repositories/revision page.

Redmine can view differences against previous revision, but sometimes I want to view the whole file to check the context.

History

#1 - 2008-05-07 13:34 - Go MAEDA

- File view_the_whole_file_patch.txt added

Sorry, I forgot to attach the patch.

#2 - 2008-05-08 02:22 - Go MAEDA

- File view_the_whole_file_patch_0508.txt added

Updated my patch.

I found that link to /repositories/annotate/ is more usuful for code review.

#3 - 2008-06-17 23:28 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Target version set to 0.8

As of r1552, each change is a link to the whole file.

#4 - 2008-09-18 14:10 - Marc Liyanage

- File redmine-changeset_r1552-edited.diff added

I applied r1552 to the 0.7.3 sources because we really like this feature.

When I compare that changeset to the patch here I notice two differences:

1.) This patch has a without_leading_slash() call in the link construction logic, but r1552 does not and indeed I had to add it to the patch I apply, r1552

as applied creates broken links for me. Why was that taken out, is it no longer needed against the sources targeting 0.8?

2.) This patch creates "annotate" URLs but r1552 does not, it creates "entry" URLs. I agree with Go MAEDA that annotate is nice and more useful. Is

there a reason that was not used as suggested in this patch?

The patch I apply looks like the attached file.

Files

view_link.png 16.2 KB 2008-05-07 Go MAEDA

view_the_whole_file_patch.txt 927 Bytes 2008-05-07 Go MAEDA

view_the_whole_file_patch_0508.txt 934 Bytes 2008-05-08 Go MAEDA

redmine-changeset_r1552-edited.diff 2.12 KB 2008-09-18 Marc Liyanage
